Subject: Re: [PATCH 0/7] fix transfer.hiderefs with smart http

From: Jeff King <[email-masked]>
Date: Fri, 13 Mar 2015 00:59:52 -0400

On Fri, Mar 13, 2015 at 12:41:01AM -0400, Jeff King wrote:

> I'm experimenting with using transfer.hiderefs on a server, and it's
> rather easy to cause a git client to hang when fetching from such a repo
> over smart http. Details are in the first patch.

A note on this hang. What happens is that upload-pack sees a bogus
"want" line and calls die(). The client then sits there forever, but I'm
not exactly sure what it's waiting for.

This series fixes the bug that caused us to erroneously call die() in
upload-pack, so the hang is "fixed". But there are other reasons to call
die(); it would probably be a good thing if the client side noticed the
problem and aborted.

-Peff